Update a contact
PUT
/api/v1/contacts/{contact_id}
const url = 'https://renotify.app/api/v1/contacts/ct_jss32memeMpC';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"Jane Doe","phone":"+15551234567","email":"jane@example.com","external_id":"contact_123","source":"hubspot","data":{"city":"Boston"},"marketing_consent":{"whatsapp":true,"email":false}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://renotify.app/api/v1/contacts/ct_jss32memeMpC \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "Jane Doe", "phone": "+15551234567", "email": "jane@example.com", "external_id": "contact_123", "source": "hubspot", "data": { "city": "Boston" }, "marketing_consent": { "whatsapp": true, "email": false } }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”contact_id
required
string
The ID of the contact.
Example
ct_jss32memeMpCRequest Body
Section titled “Request Body”Media typeapplication/json
object
name
The contact name.
string
Example
Jane Doephone
The contact phone number.
string
Example
+15551234567email
The contact email address.
string
Example
jane@example.comexternal_id
An external system identifier.
string
Example
contact_123source
The source system name.
string
Example
hubspotdata
Additional custom field values to merge.
object
Example
{ "city": "Boston"}marketing_consent
Marketing consent per channel (whatsapp, sms, email, rcs, telegram, messenger, instagram, browser_push). Omitted channels are unchanged.
object
Example
{ "whatsapp": true, "email": false}